% Symbolic derivative
% Definition
  syms h n x
  d1=limit((cos(x+h)-cos(x))/h,h,0)
  d2=diff(cos(x))

% Given function definition and evaluation of its derivative   
  f=(x^2-5*x+6)/(x-1); df=diff(f);
     pretty(f); pretty(df); pretty(simple(df))
  ezplot(f); hold on
    h=ezplot(df); set(h,'Color','r');
    hold off; axis([-6 6 -8 4]); grid on
    
% Evaluation and plot of the function derivative limits    
  ASPLUS=limit(df,x,+inf); ASMINUS=limit(df,x,-inf);  
  line([-6 6],double([ASMINUS ASPLUS]),'LineWidth',2,'Color','g')

% Evaluation and plot of extrems of the given function  
  x0=double(solve(df)); extrem_X_F=[x0 subs(f,{x},{x0})];
  hold on; plot(extrem_X_F(:,1),extrem_X_F(:,2),'or'); hold off
  